# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "anzar-cli"
version = "0.9.13"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Anzar is a lightweight authentication and authorization framework that runs as a separate microservice"
readme = "README.md"
license = "GPL-3.0"
repository = "https://github.com/anzar_software/api"
resolver = "2"

[package.metadata.release]
publish = true
push = true
push-remote = "gitlab"
tag-name = "v{{version}}"

[[bin]]
name = "anzar"
path = "src/main.rs"

[dependencies.anzar-shared]
version = "0.9.13"

[dependencies.chrono]
version = "0.4.37"
features = ["serde"]

[dependencies.clap]
version = "4.6.0"
features = ["derive"]

[dependencies.config]
version = "0.15.19"

[dependencies.console]
version = "0.16.3"

[dependencies.dialoguer]
version = "0.12.0"

[dependencies.dotenvy]
version = "0.15.7"

[dependencies.minreq]
version = "2.14.1"

[dependencies.owo-colors]
version = "4.3.0"

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.115"

[dependencies.serde_yaml]
version = "0.9.34"

[dependencies.sqlx]
version = "0.8.6"
features = [
    "sqlite",
    "postgres",
    "runtime-tokio",
    "tls-rustls-ring-webpki",
    "uuid",
    "chrono",
    "json",
]

[dependencies.thiserror]
version = "2.0.18"

[dependencies.tokio]
version = "1.48.0"
